Bug 1294359 - Review Request: libsmartcols-bindings - Bindings for the util-linux libsmartcols library
Review Request: libsmartcols-bindings - Bindings for the util-linux libsmartc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-27 11:33 EST by Igor Gnatenko
Modified: 2016-07-07 05:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:14:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-27 11:33:27 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/libsmartcols-bindings.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/libsmartcols-bindings-0.0.1-1.fc24.src.rpm
Description: Bindings for the util-linux libsmartcols library.
Fedora Account System Username: ignatenkobrain
Comment 2 Upstream Release Monitoring 2015-12-28 08:18:37 EST
lkundrak's scratch build of libsmartcols-bindings-0.0.2-1.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12329771
Comment 3 Lubomir Rintel 2015-12-28 08:23:20 EST
* Named correctly
* Correclty versioned
* Using latest version
* Upstream sources match
* License tag okay
* License good for Fedora
* Builds fine in mock
* SPEC file clean and legible

APPROVED

A few notes:

0.) Doesn't seem to build for me locally (f23 with updated cmake):

> no theme named 'alabaster' found (missing theme.conf?)

Maybe you may want to depend on python-sphinx-alabaster or whatever provides the theme, since you're explicitly using it? It could be that it's dragged into the koji buildroot by dumb luck.

1.) The perl subpackage should probably provide perl(smartcols) = NVR (since it's not generated automatically as the package doesn't use a pure perl bootstrap wrapper).
Comment 4 Igor Gnatenko 2015-12-28 08:26:56 EST
> Maybe you may want to depend on python-sphinx-alabaster or whatever provides the theme, since you're explicitly using it? It could be that it's dragged into the koji buildroot by dumb luck.
Because I'm running rawhide it is already default theme for sphinx (in upstream alos), so it is explicitly required by sphinx... But for f23 looks like it is not true.

> 1.) The perl subpackage should probably provide perl(smartcols) = NVR (since it's not generated automatically as the package doesn't use a pure perl bootstrap wrapper).
Will do!


Thanks!
Comment 5 Gwyn Ciesla 2015-12-28 14:56:12 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/libsmartcols-bindings

Note You need to log in before you can comment on or make changes to this bug.